# $Revision: 1.11 $, $Date: 2009/10/08 06:42:04 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Regexp
%define		pnam	Ethiopic
Summary:	Regexp::Ethiopic - regular expressions support for Ethiopic script
Summary(pl.UTF-8):	Regexp::Ethiopic - obsługa wyrażeń regularnych dla pisma etiopskiego
Name:		perl-Regexp-Ethiopic
Version:	0.15
Release:	1
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6ac1021a0bfd1136f81d930b22a65ad3
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Regexp::Ethiopic module provides POSIX style character class
definitions for working with the Ethiopic syllabary. The character
classes provided by the Regexp::Ethiopic package correspond to inate
properties of the script and are language independent.

%description -l pl.UTF-8
Moduł Regexp::Ethiopic dostarcza definicje klas znaków w stylu POSIX
działające z etiopskim pismem sylabicznym. Klasy znaków dostarczone
przez pakiet Regexp::Ethiopic odpowiadają własnościom pisma i są
niezależne od języka.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install examples/*.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/%{pdir}/%{pnam}.pm
%dir %{perl_vendorlib}/Regexp/Ethiopic
%{perl_vendorlib}/Regexp/Ethiopic/*.pm
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Regexp-Ethiopic.spec,v $
Revision 1.11  2009/10/08 06:42:04  amateja
- updated to 0.15

Revision 1.10  2008/07/27 22:46:30  arekm
- release 2

Revision 1.9  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.7  2004/11/03 22:30:41  paladine
- formatting

Revision 1.6  2004/05/31 07:24:22  ankry
- capitalization unified

Revision 1.5  2004/05/31 07:07:38  adamg
- updated to 0.14

Revision 1.4  2004/05/06 18:43:21  ankry
- fixed perl-devel BR

Revision 1.3  2004/04/27 15:26:25  ankry
- new bconds

Revision 1.2  2004/01/24 23:57:18  arekm
- autoupdated to 0.13

Revision 1.1  2003/06/18 17:55:27  qboosh
- new
